Subject: RE: Is the name of option "T33S" correct?

From: James Rafferty <[email-masked]>
Date: Mon, 22 May 2000 10:27:52 -0400

Dan, 

Yes, that's an improvement, but since both T.30 and T.33 use the SPACE, I
suggest
the following minor tweak:   

Notes:

    For the case of a single subaddress, only numbers are allowed in
    <sub-addr> which is consistent with T.30, T.33, and this document.
    While T.30 and T.33 use SPACE to pad its field, padding isn't necessary
in the
    <sub-addr> field defined by this document.

    For the case of multiple subaddresses, T.33 specifies the "#"
    character should be used to specify multiple subaddreses.  However,
    only digits are permitted in the <sub-addr> field defined by this
    document.  Refer to section 4.1 in case multiple <sub-addr> per
    per <fax-mbox> need to be specified.

On the whole, I think this makes the key point about T.30/T.33 consistency
for
single subaddresses and how it all ties to this document.   

James

> -----Original Message-----
> From: Dan Wing [mailto:[email-masked]]
> Sent: Monday, May 22, 2000 10:18 AM
> To: James Rafferty
> Cc: 'Toyoda, Kiyoshi'; Hiroshi Tamura; [email-masked];
> [email-masked]; [email-masked]
> Subject: RE: Is the name of option "T33S" correct?
> 
> 
> On Mon, 22 May 2000 10:06 -0400, James Rafferty wrote:
> 
> > So, the Note could be revised to clarify the point that the 
> rules for
> > T.30 and T.33 subaddresses are identical for the case where a single
> > address (extension) is contained in the T.30 subaddress.
> > 
> > Thus, the note could read:
> > 
> > "Note:
> >      In T.33, the "#" character is used to specify multiple 
>  subaddresses.
> >      However, only digits are permitted in the <sub-addr>  
> field defined
> >      by this document.  Refer to section 4.1 in case  
> multiple <sub-addr>
> >      per <fax-mbox> need to be specified.  For the case of a single
> > subaddress, 
> >      such as will be contained in the <sub-addr> field, 
> gateway implementors
> > should be                 	aware that the rules for placement of a
> > single numeric subaddress in the T.30 	Subaddress 
> field are consistent
> > between T.33 and T.30 (i.e only numeric characters 
> > 	are used for addresses and SPACE is used for padding). "   
> 
> I'm worried about talking about SPACE, as it isn't legal in 
> <sub-addr>.
> 
> How about this.  It takes the above text in a different order with the
> common case (single subaddress) first, and the less common 
> case (multiple
> subaddress) second.
> 
> 
>   Notes:
> 
>     For the case of a single subaddress, only numbers are allowed in
>     <sub-addr> which is consistent with T.30, T.33, and this document.
>     While T.33 uses SPACE to pad its field, padding isn't 
> necessary in the
>     <sub-addr> field defined by this document.
> 
>     For the case of multiple subaddresses, T.33 specifies the "#"
>     character should be used to specify multiple subaddreses. 
>  However,
>     only digits are permitted in the <sub-addr> field defined by this
>     document.  Refer to section 4.1 in case multiple <sub-addr> per
>     per <fax-mbox> need to be specified.
> 
> -Dan Wing
> 
>

---

From: Dan Wing <[email-masked]>
Date: Mon, 22 May 2000 07:33:33 -0700 (PDT)

Looks perfect.  Thanks.

-Dan Wing

---

From: "Toyoda, Kiyoshi" <[email-masked]>
Date: Wed, 24 May 2000 14:54:25 +0900

Rafferty-san Dan-san,

Thank you for your note. 

It will help implementors to have better understanding about /T33
option and I believe it promotes interworking test of RFC2304.

>>     per <fax-mbox> need to be specified.

Kiyoshi Toyoda